For the complete documentation index, see llms.txt. This page is also available as Markdown.

Views

List all views in a table

get

Retrieves all views for a table

Autorisierungen
AuthorizationstringErforderlich

Enter your Workspace API key.

API keys can be generated and managed within the Workspace Integration settings in the Ninox app.

Pfadparameter
moduleNamestring · min: 1 · max: 100Erforderlich

Module name

Example: crmPattern: ^[a-z0-9_]+$
tableNamestring · min: 1 · max: 100Erforderlich

Table name

Example: contactsPattern: ^[a-z0-9_]+$
workspaceIdstring · min: 12 · max: 12Erforderlich

Workspace ID

Example: 5rdco4s18swuPattern: ^[a-z0-9]+$
Antworten
200

Views retrieved successfully

application/json
get/api/v1/workspace/{workspaceId}/modules/{moduleName}/tables/{tableName}/views
GET /api/v1/workspace/{workspaceId}/modules/{moduleName}/tables/{tableName}/views HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "annualRecurring": true,
      "chartConfig": {
        "chartType": "bar",
        "dataSets": [
          {
            "aggregation": "average",
            "color": "text",
            "fieldName": "text",
            "labels": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            }
          }
        ],
        "donut": true,
        "labelPosition": "bottom",
        "legend": {
          "show": true
        },
        "limit": 1,
        "orientation": "horizontal",
        "showDataTable": true,
        "showLabels": true,
        "showPoints": true,
        "showTitle": true,
        "smooth": true,
        "stacked": true,
        "style": "default",
        "tooltips": {
          "show": true
        },
        "xAxis": {
          "fieldName": null,
          "groupBy": "daily",
          "show": true
        },
        "yAxis": {
          "show": true
        }
      },
      "columns": [
        {
          "agg": "text",
          "conditionalStyling": [
            {
              "background": "text",
              "cell": "text",
              "color": "text",
              "icon": "text",
              "operand": "text",
              "value": "text"
            }
          ],
          "field": "text",
          "hidden": true,
          "labels": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "order": 1,
          "role": "text",
          "width": 1
        }
      ],
      "conditionalFormatting": [
        {
          "backgroundColor": "text",
          "bold": true,
          "comparator": "contains",
          "expression": "text",
          "fieldName": "text",
          "highlightColor": "text",
          "icon": {
            "color": "text",
            "filling": 0,
            "icon": "text"
          },
          "id": "text",
          "italic": true,
          "order": 1,
          "strikethrough": true,
          "target": "cell",
          "textColor": "text",
          "value": null
        }
      ],
      "filter": [
        {
          "field": "text",
          "id": "text",
          "operator": "text",
          "value": "text"
        }
      ],
      "ganttConfig": {
        "baselineEndFieldName": null,
        "baselineStartFieldName": null,
        "dependencyDirection": "predecessor",
        "dependencyFieldName": null,
        "disableDragAndDrop": true,
        "endFieldName": null,
        "hideTitleColumn": true,
        "hideWeekends": true,
        "milestoneFieldName": null,
        "progressFieldName": null,
        "showCriticalPath": true,
        "showWeekends": true,
        "startFieldName": null,
        "timeScale": "day",
        "titleColumnFieldName": null,
        "titleColumnWidth": 1
      },
      "groupBy": [
        {
          "direction": "asc",
          "fieldName": "text"
        }
      ],
      "icon": {
        "color": "text",
        "filling": 0,
        "icon": "text"
      },
      "id": "text",
      "labels": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "moduleName": "text",
      "name": "text",
      "order": 1,
      "pivot": {
        "columns": [
          {
            "dateGrouping": "day",
            "fieldName": "text",
            "sort": "asc"
          }
        ],
        "columnWidths": {
          "rowHeader": 1,
          "values": {
            "ANY_ADDITIONAL_PROPERTY": 1
          }
        },
        "rows": [
          {
            "dateGrouping": "day",
            "fieldName": "text",
            "sort": "asc"
          }
        ],
        "values": [
          {
            "agg": "avg",
            "fieldName": "text"
          }
        ]
      },
      "search": "text",
      "sort": {
        "direction": "asc",
        "fieldName": "text"
      },
      "tableName": "text",
      "type": "Calendar"
    }
  ]
}

Create a view

post

Creates a view in a table. Every view type can be created, with field references by name.

Autorisierungen
AuthorizationstringErforderlich

Enter your Workspace API key.

API keys can be generated and managed within the Workspace Integration settings in the Ninox app.

Pfadparameter
moduleNamestring · min: 1 · max: 100Erforderlich

Module name

Example: crmPattern: ^[a-z0-9_]+$
tableNamestring · min: 1 · max: 100Erforderlich

Table name

Example: contactsPattern: ^[a-z0-9_]+$
workspaceIdstring · min: 12 · max: 12Erforderlich

Workspace ID

Example: 5rdco4s18swuPattern: ^[a-z0-9]+$
Body
annualRecurringbooleanOptional

Calendar views only: render every record on the same day/month every year

namestring · min: 1 · max: 100Erforderlich

View name

Pattern: ^[a-z0-9_]+$
searchstringOptional

Stored search term

typestring · enumErforderlich

View type

Mögliche Werte:
Antworten
201

View created successfully

application/json
post/api/v1/workspace/{workspaceId}/modules/{moduleName}/tables/{tableName}/views
POST /api/v1/workspace/{workspaceId}/modules/{moduleName}/tables/{tableName}/views HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2036

{
  "annualRecurring": true,
  "chartConfig": {
    "chartType": "bar",
    "dataSets": [
      {
        "aggregation": "average",
        "color": "text",
        "fieldName": "text",
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      }
    ],
    "donut": true,
    "labelPosition": "bottom",
    "legend": {
      "show": true
    },
    "limit": 1,
    "orientation": "horizontal",
    "showDataTable": true,
    "showLabels": true,
    "showPoints": true,
    "showTitle": true,
    "smooth": true,
    "stacked": true,
    "style": "default",
    "tooltips": {
      "show": true
    },
    "xAxis": {
      "fieldName": null,
      "groupBy": "daily",
      "show": true
    },
    "yAxis": {
      "show": true
    }
  },
  "columns": [
    {
      "agg": "text",
      "conditionalStyling": [
        {
          "background": "text",
          "cell": "text",
          "color": "text",
          "icon": "text",
          "operand": "text",
          "value": "text"
        }
      ],
      "field": "text",
      "hidden": true,
      "labels": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "order": 1,
      "role": "text",
      "width": 1
    }
  ],
  "conditionalFormatting": [
    {
      "backgroundColor": "text",
      "bold": true,
      "comparator": "contains",
      "expression": "text",
      "fieldName": "text",
      "highlightColor": "text",
      "icon": {
        "color": "text",
        "filling": 0,
        "icon": "text"
      },
      "id": "text",
      "italic": true,
      "order": 1,
      "strikethrough": true,
      "target": "cell",
      "textColor": "text",
      "value": null
    }
  ],
  "filter": [
    {
      "field": "text",
      "id": "text",
      "operator": "text",
      "value": "text"
    }
  ],
  "ganttConfig": {
    "baselineEndFieldName": null,
    "baselineStartFieldName": null,
    "dependencyDirection": "predecessor",
    "dependencyFieldName": null,
    "disableDragAndDrop": true,
    "endFieldName": null,
    "hideTitleColumn": true,
    "hideWeekends": true,
    "milestoneFieldName": null,
    "progressFieldName": null,
    "showCriticalPath": true,
    "showWeekends": true,
    "startFieldName": null,
    "timeScale": "day",
    "titleColumnFieldName": null,
    "titleColumnWidth": 1
  },
  "groupBy": [
    {
      "direction": "asc",
      "fieldName": "text"
    }
  ],
  "icon": {
    "color": "text",
    "filling": 0,
    "icon": "text"
  },
  "labels": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "name": "text",
  "pivot": {
    "columns": [
      {
        "dateGrouping": "day",
        "fieldName": "text",
        "sort": "asc"
      }
    ],
    "columnWidths": {
      "rowHeader": 1,
      "values": {
        "ANY_ADDITIONAL_PROPERTY": 1
      }
    },
    "rows": [
      {
        "dateGrouping": "day",
        "fieldName": "text",
        "sort": "asc"
      }
    ],
    "values": [
      {
        "agg": "avg",
        "fieldName": "text"
      }
    ]
  },
  "search": "text",
  "sort": {
    "direction": "asc",
    "fieldName": "text"
  },
  "type": "Calendar"
}
{
  "data": {
    "annualRecurring": true,
    "chartConfig": {
      "chartType": "bar",
      "dataSets": [
        {
          "aggregation": "average",
          "color": "text",
          "fieldName": "text",
          "labels": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          }
        }
      ],
      "donut": true,
      "labelPosition": "bottom",
      "legend": {
        "show": true
      },
      "limit": 1,
      "orientation": "horizontal",
      "showDataTable": true,
      "showLabels": true,
      "showPoints": true,
      "showTitle": true,
      "smooth": true,
      "stacked": true,
      "style": "default",
      "tooltips": {
        "show": true
      },
      "xAxis": {
        "fieldName": null,
        "groupBy": "daily",
        "show": true
      },
      "yAxis": {
        "show": true
      }
    },
    "columns": [
      {
        "agg": "text",
        "conditionalStyling": [
          {
            "background": "text",
            "cell": "text",
            "color": "text",
            "icon": "text",
            "operand": "text",
            "value": "text"
          }
        ],
        "field": "text",
        "hidden": true,
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "order": 1,
        "role": "text",
        "width": 1
      }
    ],
    "conditionalFormatting": [
      {
        "backgroundColor": "text",
        "bold": true,
        "comparator": "contains",
        "expression": "text",
        "fieldName": "text",
        "highlightColor": "text",
        "icon": {
          "color": "text",
          "filling": 0,
          "icon": "text"
        },
        "id": "text",
        "italic": true,
        "order": 1,
        "strikethrough": true,
        "target": "cell",
        "textColor": "text",
        "value": null
      }
    ],
    "filter": [
      {
        "field": "text",
        "id": "text",
        "operator": "text",
        "value": "text"
      }
    ],
    "ganttConfig": {
      "baselineEndFieldName": null,
      "baselineStartFieldName": null,
      "dependencyDirection": "predecessor",
      "dependencyFieldName": null,
      "disableDragAndDrop": true,
      "endFieldName": null,
      "hideTitleColumn": true,
      "hideWeekends": true,
      "milestoneFieldName": null,
      "progressFieldName": null,
      "showCriticalPath": true,
      "showWeekends": true,
      "startFieldName": null,
      "timeScale": "day",
      "titleColumnFieldName": null,
      "titleColumnWidth": 1
    },
    "groupBy": [
      {
        "direction": "asc",
        "fieldName": "text"
      }
    ],
    "icon": {
      "color": "text",
      "filling": 0,
      "icon": "text"
    },
    "id": "text",
    "labels": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "moduleName": "text",
    "name": "text",
    "order": 1,
    "pivot": {
      "columns": [
        {
          "dateGrouping": "day",
          "fieldName": "text",
          "sort": "asc"
        }
      ],
      "columnWidths": {
        "rowHeader": 1,
        "values": {
          "ANY_ADDITIONAL_PROPERTY": 1
        }
      },
      "rows": [
        {
          "dateGrouping": "day",
          "fieldName": "text",
          "sort": "asc"
        }
      ],
      "values": [
        {
          "agg": "avg",
          "fieldName": "text"
        }
      ]
    },
    "search": "text",
    "sort": {
      "direction": "asc",
      "fieldName": "text"
    },
    "tableName": "text",
    "type": "Calendar"
  }
}

Get a specific view

get

Retrieves a specific view by id

Autorisierungen
AuthorizationstringErforderlich

Enter your Workspace API key.

API keys can be generated and managed within the Workspace Integration settings in the Ninox app.

Pfadparameter
viewIdstring · min: 12 · max: 12Erforderlich

View ID

Example: a1b2c3d4e5f6Pattern: ^[a-z0-9]+$
workspaceIdstring · min: 12 · max: 12Erforderlich

Workspace ID

Example: 5rdco4s18swuPattern: ^[a-z0-9]+$
Antworten
200

View details retrieved successfully

application/json
get/api/v1/workspace/{workspaceId}/views/{viewId}
GET /api/v1/workspace/{workspaceId}/views/{viewId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "annualRecurring": true,
    "chartConfig": {
      "chartType": "bar",
      "dataSets": [
        {
          "aggregation": "average",
          "color": "text",
          "fieldName": "text",
          "labels": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          }
        }
      ],
      "donut": true,
      "labelPosition": "bottom",
      "legend": {
        "show": true
      },
      "limit": 1,
      "orientation": "horizontal",
      "showDataTable": true,
      "showLabels": true,
      "showPoints": true,
      "showTitle": true,
      "smooth": true,
      "stacked": true,
      "style": "default",
      "tooltips": {
        "show": true
      },
      "xAxis": {
        "fieldName": null,
        "groupBy": "daily",
        "show": true
      },
      "yAxis": {
        "show": true
      }
    },
    "columns": [
      {
        "agg": "text",
        "conditionalStyling": [
          {
            "background": "text",
            "cell": "text",
            "color": "text",
            "icon": "text",
            "operand": "text",
            "value": "text"
          }
        ],
        "field": "text",
        "hidden": true,
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "order": 1,
        "role": "text",
        "width": 1
      }
    ],
    "conditionalFormatting": [
      {
        "backgroundColor": "text",
        "bold": true,
        "comparator": "contains",
        "expression": "text",
        "fieldName": "text",
        "highlightColor": "text",
        "icon": {
          "color": "text",
          "filling": 0,
          "icon": "text"
        },
        "id": "text",
        "italic": true,
        "order": 1,
        "strikethrough": true,
        "target": "cell",
        "textColor": "text",
        "value": null
      }
    ],
    "filter": [
      {
        "field": "text",
        "id": "text",
        "operator": "text",
        "value": "text"
      }
    ],
    "ganttConfig": {
      "baselineEndFieldName": null,
      "baselineStartFieldName": null,
      "dependencyDirection": "predecessor",
      "dependencyFieldName": null,
      "disableDragAndDrop": true,
      "endFieldName": null,
      "hideTitleColumn": true,
      "hideWeekends": true,
      "milestoneFieldName": null,
      "progressFieldName": null,
      "showCriticalPath": true,
      "showWeekends": true,
      "startFieldName": null,
      "timeScale": "day",
      "titleColumnFieldName": null,
      "titleColumnWidth": 1
    },
    "groupBy": [
      {
        "direction": "asc",
        "fieldName": "text"
      }
    ],
    "icon": {
      "color": "text",
      "filling": 0,
      "icon": "text"
    },
    "id": "text",
    "labels": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "moduleName": "text",
    "name": "text",
    "order": 1,
    "pivot": {
      "columns": [
        {
          "dateGrouping": "day",
          "fieldName": "text",
          "sort": "asc"
        }
      ],
      "columnWidths": {
        "rowHeader": 1,
        "values": {
          "ANY_ADDITIONAL_PROPERTY": 1
        }
      },
      "rows": [
        {
          "dateGrouping": "day",
          "fieldName": "text",
          "sort": "asc"
        }
      ],
      "values": [
        {
          "agg": "avg",
          "fieldName": "text"
        }
      ]
    },
    "search": "text",
    "sort": {
      "direction": "asc",
      "fieldName": "text"
    },
    "tableName": "text",
    "type": "Calendar"
  }
}

Delete a view

delete

Deletes a view

Autorisierungen
AuthorizationstringErforderlich

Enter your Workspace API key.

API keys can be generated and managed within the Workspace Integration settings in the Ninox app.

Pfadparameter
viewIdstring · min: 12 · max: 12Erforderlich

View ID

Example: a1b2c3d4e5f6Pattern: ^[a-z0-9]+$
workspaceIdstring · min: 12 · max: 12Erforderlich

Workspace ID

Example: 5rdco4s18swuPattern: ^[a-z0-9]+$
Antworten
200

View deleted successfully

application/json
delete/api/v1/workspace/{workspaceId}/views/{viewId}
DELETE /api/v1/workspace/{workspaceId}/views/{viewId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": "text"
  }
}

Update a view

patch

Updates a view. Nested configs (chartConfig, ganttConfig, pivot) are merged onto the stored ones, so a PATCH can send just the settings it changes.

Autorisierungen
AuthorizationstringErforderlich

Enter your Workspace API key.

API keys can be generated and managed within the Workspace Integration settings in the Ninox app.

Pfadparameter
viewIdstring · min: 12 · max: 12Erforderlich

View ID

Example: a1b2c3d4e5f6Pattern: ^[a-z0-9]+$
workspaceIdstring · min: 12 · max: 12Erforderlich

Workspace ID

Example: 5rdco4s18swuPattern: ^[a-z0-9]+$
Body
annualRecurringbooleanOptional

Calendar views only: render every record on the same day/month every year

namestring · min: 1 · max: 100Optional

View name

Pattern: ^[a-z0-9_]+$
searchstringOptional

Stored search term

typestring · enumOptional

View type

Mögliche Werte:
Antworten
200

View updated successfully

application/json
patch/api/v1/workspace/{workspaceId}/views/{viewId}
PATCH /api/v1/workspace/{workspaceId}/views/{viewId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2042

{
  "annualRecurring": true,
  "chartConfig": {
    "chartType": "bar",
    "dataSets": [
      {
        "aggregation": "average",
        "color": "text",
        "fieldName": "text",
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      }
    ],
    "donut": true,
    "labelPosition": "bottom",
    "legend": {
      "show": true
    },
    "limit": 1,
    "orientation": "horizontal",
    "showDataTable": true,
    "showLabels": true,
    "showPoints": true,
    "showTitle": true,
    "smooth": true,
    "stacked": true,
    "style": "default",
    "tooltips": {
      "show": true
    },
    "xAxis": {
      "fieldName": null,
      "groupBy": "daily",
      "show": true
    },
    "yAxis": {
      "show": true
    }
  },
  "columns": [
    {
      "agg": "text",
      "conditionalStyling": [
        {
          "background": "text",
          "cell": "text",
          "color": "text",
          "icon": "text",
          "operand": "text",
          "value": "text"
        }
      ],
      "field": "text",
      "hidden": true,
      "labels": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "order": 1,
      "role": "text",
      "width": 1
    }
  ],
  "conditionalFormatting": [
    {
      "backgroundColor": "text",
      "bold": true,
      "comparator": "contains",
      "expression": "text",
      "fieldName": "text",
      "highlightColor": "text",
      "icon": {
        "color": "text",
        "filling": 0,
        "icon": "text"
      },
      "id": "text",
      "italic": true,
      "order": 1,
      "strikethrough": true,
      "target": "cell",
      "textColor": "text",
      "value": null
    }
  ],
  "filter": [
    {
      "field": "text",
      "id": "text",
      "operator": "text",
      "value": "text"
    }
  ],
  "ganttConfig": {
    "baselineEndFieldName": null,
    "baselineStartFieldName": null,
    "dependencyDirection": "predecessor",
    "dependencyFieldName": null,
    "disableDragAndDrop": true,
    "endFieldName": null,
    "hideTitleColumn": true,
    "hideWeekends": true,
    "milestoneFieldName": null,
    "progressFieldName": null,
    "showCriticalPath": true,
    "showWeekends": true,
    "startFieldName": null,
    "timeScale": "day",
    "titleColumnFieldName": null,
    "titleColumnWidth": 1
  },
  "groupBy": [
    {
      "direction": "asc",
      "fieldName": "text"
    }
  ],
  "icon": {
    "color": "text",
    "filling": 0,
    "icon": "text"
  },
  "labels": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "name": "text",
  "pivot": {
    "columns": [
      {
        "dateGrouping": "day",
        "fieldName": "text",
        "sort": "asc"
      }
    ],
    "columnWidths": {
      "rowHeader": null,
      "values": {
        "ANY_ADDITIONAL_PROPERTY": null
      }
    },
    "rows": [
      {
        "dateGrouping": "day",
        "fieldName": "text",
        "sort": "asc"
      }
    ],
    "values": [
      {
        "agg": "avg",
        "fieldName": "text"
      }
    ]
  },
  "search": "text",
  "sort": {
    "direction": "asc",
    "fieldName": "text"
  },
  "type": "Calendar"
}
{
  "data": {
    "annualRecurring": true,
    "chartConfig": {
      "chartType": "bar",
      "dataSets": [
        {
          "aggregation": "average",
          "color": "text",
          "fieldName": "text",
          "labels": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          }
        }
      ],
      "donut": true,
      "labelPosition": "bottom",
      "legend": {
        "show": true
      },
      "limit": 1,
      "orientation": "horizontal",
      "showDataTable": true,
      "showLabels": true,
      "showPoints": true,
      "showTitle": true,
      "smooth": true,
      "stacked": true,
      "style": "default",
      "tooltips": {
        "show": true
      },
      "xAxis": {
        "fieldName": null,
        "groupBy": "daily",
        "show": true
      },
      "yAxis": {
        "show": true
      }
    },
    "columns": [
      {
        "agg": "text",
        "conditionalStyling": [
          {
            "background": "text",
            "cell": "text",
            "color": "text",
            "icon": "text",
            "operand": "text",
            "value": "text"
          }
        ],
        "field": "text",
        "hidden": true,
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "order": 1,
        "role": "text",
        "width": 1
      }
    ],
    "conditionalFormatting": [
      {
        "backgroundColor": "text",
        "bold": true,
        "comparator": "contains",
        "expression": "text",
        "fieldName": "text",
        "highlightColor": "text",
        "icon": {
          "color": "text",
          "filling": 0,
          "icon": "text"
        },
        "id": "text",
        "italic": true,
        "order": 1,
        "strikethrough": true,
        "target": "cell",
        "textColor": "text",
        "value": null
      }
    ],
    "filter": [
      {
        "field": "text",
        "id": "text",
        "operator": "text",
        "value": "text"
      }
    ],
    "ganttConfig": {
      "baselineEndFieldName": null,
      "baselineStartFieldName": null,
      "dependencyDirection": "predecessor",
      "dependencyFieldName": null,
      "disableDragAndDrop": true,
      "endFieldName": null,
      "hideTitleColumn": true,
      "hideWeekends": true,
      "milestoneFieldName": null,
      "progressFieldName": null,
      "showCriticalPath": true,
      "showWeekends": true,
      "startFieldName": null,
      "timeScale": "day",
      "titleColumnFieldName": null,
      "titleColumnWidth": 1
    },
    "groupBy": [
      {
        "direction": "asc",
        "fieldName": "text"
      }
    ],
    "icon": {
      "color": "text",
      "filling": 0,
      "icon": "text"
    },
    "id": "text",
    "labels": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "moduleName": "text",
    "name": "text",
    "order": 1,
    "pivot": {
      "columns": [
        {
          "dateGrouping": "day",
          "fieldName": "text",
          "sort": "asc"
        }
      ],
      "columnWidths": {
        "rowHeader": 1,
        "values": {
          "ANY_ADDITIONAL_PROPERTY": 1
        }
      },
      "rows": [
        {
          "dateGrouping": "day",
          "fieldName": "text",
          "sort": "asc"
        }
      ],
      "values": [
        {
          "agg": "avg",
          "fieldName": "text"
        }
      ]
    },
    "search": "text",
    "sort": {
      "direction": "asc",
      "fieldName": "text"
    },
    "tableName": "text",
    "type": "Calendar"
  }
}

Export a view to XLSX

post

Exports a view's rows as an XLSX workbook

Autorisierungen
AuthorizationstringErforderlich

Enter your Workspace API key.

API keys can be generated and managed within the Workspace Integration settings in the Ninox app.

Pfadparameter
viewIdstring · min: 12 · max: 12Erforderlich

View ID

Example: a1b2c3d4e5f6Pattern: ^[a-z0-9]+$
workspaceIdstring · min: 12 · max: 12Erforderlich

Workspace ID

Example: 5rdco4s18swuPattern: ^[a-z0-9]+$
Antworten
200

XLSX workbook

Kein Inhalt

post/api/v1/workspace/{workspaceId}/export/view/{viewId}/xlsx
POST /api/v1/workspace/{workspaceId}/export/view/{viewId}/xlsx HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Kein Inhalt

Zuletzt aktualisiert

War das hilfreich?